org.eclipse.jetty.xml

## Interface ConfigurationProcessor

    public interface ConfigurationProcessor

A ConfigurationProcessor for non XmlConfiguration format files.

A file in non-XmlConfiguration file format may be processed by a `ConfigurationProcessor` instance that is returned from a `ConfigurationProcessorFactory` instance discovered by the `ServiceLoader` mechanism. This is used to allow spring configuration files to be used instead of jetty.xml

### Method Summary

Methods
`Object` `configure()`
`Object` `configure(Object obj)`
`void` `init(URL url, XmlParser.Node config, Map<String,Object> idMap, Map<String,String> properties)`

### Method Detail

#### init

    void init(URL url,
            XmlParser.Node config,
            Map<String,Object> idMap,
            Map<String,String> properties)

#### configure

    Object configure(Object obj)
                     throws Exception

Throws:
  `Exception`

#### configure

    Object configure()
                     throws Exception

Throws:
  `Exception`